Skip to main content
GET
/
v1
/
charges
List
curl --request GET \
  --url https://{defaultHost}/v1/charges \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/charges"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/charges"
  },
  "data": [
    {
      "id": "4d178d88-6377-4e88-a196-76911812cef2",
      "object": "charge",
      "amount": 2900,
      "currency": "usd",
      "disputed_amount": 0,
      "external_charge_id": "x3ua89rbbrca12c",
      "fully_refunded": false,
      "live_mode": true,
      "refunded_amount": 0,
      "customer": "afcd4b0b-3d32-462c-aec9-a6e2cbc0f82d",
      "checkout": "dc8b5e88-fcf0-4c6e-8955-e3d4a9ee69f8",
      "payment_intent": "b68abfd9-5ec9-472c-b1f7-e0cde18ab4a5",
      "payment_method": null,
      "created_at": 1782485810,
      "updated_at": 1782485810
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

checkout_ids[]
string[]

Only return objects that belong to the given checkouts.

customer_ids[]
string[]

Only return objects that belong to the given customers.

external_charge_ids[]
string[]

Only return objects with the given external charge IDs.

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

live_mode
boolean

Only return objects that are live mode or test mode.

page
integer

The page of items you want returned.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.